<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

$set['title']='Ферма - Банк'; // заголовок страницы
error_reporting (0);
include_once '../sys/inc/thead.php';
title();
err();
aut();
//header("Content-type: application/vnd.wap.xhtml+xml");
header("Content-type: text/html");
echo "<link rel='stylesheet' href='style.css' type='text/css' /><center>";
echo "<div class='grad32'><img src='fermer.gif'></div><div class='ferm3'><img src='12bank.gif'><br/><div class='grad16'>Перевод денег</div></center>";
echo"<div class='ferm3'>";
if (isset($user)){
$action=htmlspecialchars(trim($_GET['action']));

switch ($action){

default:


echo 'Здравствуйте, '.$user['nick'].'!<br/>';
echo 'На вашем счету имеется: <font color="red">'.$user['fermer_money'].'</font> рублей<br/> Вы можете перевести деньги любому пользователю. Комиссия банка 5 %</br>';
echo'<form action="change.php?action=go" method="post">';
echo 'Кому(ник юзера):<br/>';
echo '<input name="us" type="text" value=""/><br/>';
echo 'Сумма перевода:<br/>';
echo '<input name="num" value=""/><br/>';
echo '<input type="submit" value="Перевести"/>';
echo '</form>';
echo '<br/><a href="bank.php"><img src="egg.png">  Вернуться в банк</a><br/>';
break;

case 'go':
$us=htmlspecialchars(mysql_escape_string(trim($_POST['us'])));
$num=(int)$_POST['num'];
if(!$num || $num<1){echo 'Не введена сумма денег для перевода!</br><a href="change.php"><img src="egg.png"> Вернуться в обменник</a><br/><a href="bank.php"><img src="egg.png"> Вернуться в банк</a><br/>';break;};
$x=mysql_query("SELECT * FROM `user` WHERE `nick`='$us'");
if(!mysql_num_rows($x)){echo 'Пользователя не существует!</br><a href="change.php"><img src="egg.png"> Вернуться в обменник</a><br/><a href="bank.php"><img src="egg.png"> Вернуться в банк</a><br/>';break;};
$x=mysql_fetch_assoc($x);
if($user['fermer_money']<$num){echo 'У вас нет столько денег для осуществления перевода! </br><a href="change.php"><img src="egg.png"> Вернуться в обменник</a><br/><a href="bank.php"><img src="egg.png"> Вернуться в банк</a><br/>';break;};
$baks=$num;
$baks1=$num*0.95;
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$x['id']."', '[url=/info.php?id=$user[id]]$user[nick][/url] перевел(а) вам $num в веселой ферме', '$time')");
mysql_query("INSERT INTO `lentarxn` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '[url=/info.php?id=$user[id]]$user[nick][/url] перевел(а) [b]$x[nick][/b] деньги в веселой ферме', '$time')");

mysql_query("UPDATE `user` SET `fermer_money`=`fermer_money`+'$baks1' WHERE `id`='".$x['id']."'");
mysql_query("UPDATE `user` SET `fermer_money`=`fermer_money`-'$baks' WHERE `id`='".$user['id']."'");

echo 'Сумма в размере <font color="red">'.$num.'</font> рублей юзеру <font color="red">'.$us.'</font>  успешно переведена! Комиссия банка - 5 %';
echo '<br/><a href="change.php"><img src="egg.png"> Вернуться в обменник</a><br/><a href="bank.php"><img src="egg.png"> Вернуться в банк</a><br/>';
break;

};

echo "<div class='foot'>";
echo "<a href='my.php'><img src='egg.png'>На ферму</a><br/>";
echo "<a href='index.php'><img src='egg.png'>В игру</a><br/>";
echo "</div>";
}else{
echo '<div class="msg">Ферма доступна только для авторизованных пользователей!</div>';};
include_once '../sys/inc/tfoot.php';
?>